<div class="container">
    <div class="row my-2">
        <div class="col-lg-8 order-lg-2">
            <ul class="nav nav-tabs">
                <li class="nav-item">
                    <a href="" data-target="#profile" data-toggle="tab" class="nav-link active">Profile</a>
                </li>

                <li class="nav-item" style="float: right;">

                </li>

            </ul>
            <div class="tab-content py-4">
                <div class="tab-pane active" id="profile">

                    <h5 class="mb-3">{{userDetails.nom}} {{userDetails.prenom}}</h5>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="container">
                                <div class="row">
                                    <div class="col">
                                        <h6 *ngIf="!isIndustrial()">sexe</h6>
                                        <p>
                                            {{userDetails.sexe}}
                                        </p>
                                        <h6>Email</h6>
                                        <p>
                                            {{userDetails.email}}
                                        </p>
                                        <h6>Adresse</h6>
                                        <p>
                                            {{userDetails.adresse}}
                                        </p>
                                        <h6>Section</h6>
                                        <p>
                                            {{userDetails.section}}
                                        </p>
                                        <h6>Num Tel</h6>
                                        <p>
                                            {{userDetails.num_tel}}
                                        </p>
                                    </div>
                                    <div class="col" *ngIf="isStudent()">
                                        <h6>Recommandations</h6>
                                        <div style="margin:2px ;"
                                            *ngFor="let recommandation of userDetails.recommandations">
                                            {{recommandation.name}} donné par {{recommandation.prof}}
                                            <div [ngSwitch]="recommandation.rating" class="ratingStars">
                                                <div *ngSwitchCase="5">
                                                    <span class="fa fa-star checked"></span>
                                                    <span class="fa fa-star checked"></span>
                                                    <span class="fa fa-star checked"></span>
                                                    <span class="fa fa-star checked"></span>
                                                    <span class="fa fa-star checked"></span>
                                                </div>
                                                <div *ngSwitchCase="4">
                                                    <span class="fa fa-star checked"></span>
                                                    <span class="fa fa-star checked"></span>
                                                    <span class="fa fa-star checked"></span>
                                                    <span class="fa fa-star checked"></span>
                                                    <span class="fa fa-star unchecked"></span>
                                                </div>
                                                <div *ngSwitchCase="3">
                                                    <span class="fa fa-star checked"></span>
                                                    <span class="fa fa-star checked"></span>
                                                    <span class="fa fa-star checked"></span>
                                                    <span class="fa fa-star unchecked"></span>
                                                    <span class="fa fa-star unchecked"></span>
                                                </div>
                                                <div *ngSwitchCase="2">
                                                    <span class="fa fa-star checked"></span>
                                                    <span class="fa fa-star checked"></span>
                                                    <span class="fa fa-star unchecked"></span>
                                                    <span class="fa fa-star unchecked"></span>
                                                    <span class="fa fa-star unchecked"></span>
                                                </div>
                                                <div *ngSwitchCase="1">
                                                    <span class="fa fa-star checked"></span>
                                                    <span class="fa fa-star unchecked"></span>
                                                    <span class="fa fa-star unchecked"></span>
                                                    <span class="fa fa-star unchecked"></span>
                                                    <span class="fa fa-star unchecked"></span>
                                                </div>
                                                <div *ngSwitchDefault>
                                                    <span class="fa fa-star unchecked"></span>
                                                    <span class="fa fa-star unchecked"></span>
                                                    <span class="fa fa-star unchecked"></span>
                                                    <span class="fa fa-star unchecked"></span>
                                                    <span class="fa fa-star unchecked"></span>
                                                </div>
                                            </div>
                                        </div>
                                        <br><br>
                                        <h6>Compétences</h6>
                                        <span class="badge badge-pill badge-primary" style="margin:2px ;"
                                            *ngFor="let skill of userDetails.skills">{{skill}}</span>
                                    </div>
                                </div>
                            </div>
                        </div>

                    </div>
                    <!--/row-->
                </div>


            </div>
        </div>
        <div class=" col-lg-4 order-lg-1 text-center" *ngIf="userDetails.image">
            <img src="../../../assets/uploads/{{getImageName()}}" class="img-thumbnail" alt="avatar">
            <h6 class="mt-2">
                {{userDetails.username+'.'+userDetails.image.split('.')[1]}}</h6>

            <a [routerLink]="['../editprofile',userDetails._id]"><button class="btn btn-dark">edit profile</button></a>

        </div>
        <div class="col-lg-4 order-lg-1 text-center" *ngIf="!userDetails.image">
            <img src="../../../assets/img/Users.png" class="img-thumbnail" alt="avatar">
            <h6 class="mt-2">{{userDetails.image}}</h6>

            <a [routerLink]="['../editprofile',userDetails._id]"><button class="btn btn-dark">edit profile</button></a>
        </div>
    </div>
</div>